• IntelliJ IDEA2020、pycharm、webstorm激活永久激活及使用教程(总目录篇) 原创

    2020-09-24

    IntelliJ IDEA的简介IDEA 全称IntelliJ IDEA,是用于java语言开发的集成环境(也可用于其他语言),IntelliJ在业界被公认为最好的java开发工具之一,尤其在智能代码助手、代码自动提示、重构、J2EE支持、Ant、JUnit、CVS整合、代码审查、 创新的GUI设计等方面的功能可以说是超常的。IDEA是JetBrains公司的产品,这家公司总部位于捷克共和国的首都

  • MySQL之select in 子查询优化的实现

    2020-09-20

    下面的演示基于MySQL5.7.27版本一、关于MySQL子查询的优化策略介绍:子查询优化策略对于不同类型的子查询,优化器会选择不同的策略。1. 对于 IN、=ANY 子查询,优化器有如下策略选择:  semijoin  Materialization  exists2. 对于 NOT IN、<>ALL 子查询,优化器有如下策略选择:  Materialization  exists3. 对于 d

  • 关于Kotlin中SAM转换的那些事

    2020-09-15

    前言随着 Kotlin 1.4 正式发布,关于 SAM 转换的一些问题就可以盖棺定论了。因为这里要讲的都是些旧的东西,所以这是一篇灌水文。Kotlin对SAM转换的支持情况在 1.4 发布之前,经常有新人在群里提出关于 SAM 转换的问题。为了说明这个问题,要分成几个情况来讨论。我们需要区分这个接口是Java接口还是Kotlin接口:// 这是Javainterface JavaSome { vo

  • laravel withCount 统计关联数量的方法

    2020-09-10

    统计关联数量,单个用法$posts = Post::withCount('comments')->orderBy('id','desc')->paginate(6);多个用法$posts = Post::withCount(['comments','zans'])->orderBy('id','desc')->paginate(6);调用$post->comments_count一定要是5.3版本

  • Windows服务器中PHP如何安装redis扩展

    2020-09-08关键词: 版本教程命令文件名下载地址

    一、总结一句话总结:下载扩展的dll,放入指定文件夹(php对应的扩展的目录php/ext),在配置文件php.ini中注册dll尽量不要选择最新版php和redis扩展,下载时文件名的每一个字符尽量看懂意思下载dll 放入php扩展插件文件夹 在配置文件php.ini中注册dll1、查看教程是发现教程有错误的启示是什么,(3.解压缩后,将php_redis.dll和php_igbinary.dl

  • Python虚拟环境的创建和使用详解

    2020-09-07关键词: 环境文件夹路径版本系统

    一 概念1. 原理2. 好处不同项目可能用到的环境不同,运用虚拟环境能将不同环境分隔开二 virtualenvvirtual 虚拟的1. 安装pip install virtualenv2. 创建虚拟环境(1)步骤① 进入目标文件夹② 命令行创建虚环virtualenv 虚环名(2)创建虚拟环境时指定Python版本-pvirtualenv -p 指定版本解释器位置 虚环名# egvirtuale

  • MySQL5.6升级5.7时出现主从延迟问题排查过程

    2020-09-06

    最近在做zabbix的数据库MySQL5.6升级5.7时,出现主从延迟问题,这个问题困扰了很久没有解决,昨天终于解决了,整理了一下整个排查过程,分享给大家。环境说明:mysql主库为5.6的版本,有四个从库,三个为5.6的版本,一个为5.7的版本,所有主从的库表结构均一致,5.7的从库出现大量延迟,5.6的没问题,业务为zabbix监控,基本全部为insert批量插入操作,每条insert SQL

  • 调试php程序的简单步骤

    2020-09-05关键词: 版本程序绑定是一个文件

    一般如何调试php程序?一般使用Xdebug,Xdebug是一个开放源代码的PHP程序调试器(即一个Debug工具),可以用来跟踪,调试和分析PHP程序的运行状况。第一步、下载xdebug有两个版本带有Non-thread-safe和不带有Non-thread-safe,缩写(ts)主要是看你的php版本是否线程安全版本。然后把下载的dll拷贝到php里面的ext文件夹里(扩展dll都在这里),改

  • laravel withCount 统计关联数量的方法

    2020-09-05

    统计关联数量,单个用法$posts = Post::withCount('comments')->orderBy('id','desc')->paginate(6);多个用法$posts = Post::withCount(['comments','zans'])->orderBy('id','desc')->paginate(6);调用$post->comments_count一定要是5.3版本

  • IDEA Ultimate2020.2版本配置Tomcat详细教程

    2020-09-05关键词: 在这里插入图片版本文件教程

    前言由于IDEA各个版本的配置方法不同,导致观看教程时没有适合自己版本的配置方法,那么经过很久的摸索,发布一份IDEA Ultimate2020.2版本的服务器配置教程,仅供参考正文1.Project配置Tomcat 既可以运行在一个专门生成的Project中,也可以运行在一个单独配置的Module中,相比来说还是生成一个单独的Module更为便捷,也不会影响原有Project的运行,所以本文基于

  • 快速解决VS Code报错:Java 11 or more recent is required to run. Please download and install a recent JDK

    2020-09-05关键词: 版本插件编译器不太这个问题

    VS Code确实不是最好的Java编译器(好吧,它或许都不该算是个编译器),在使用的过程完全依赖咱们自己写一些配置或者使用一些插件,但是因为它外观好看,我还是比较喜欢用这个。哪怕遇到的问题比别的编译器多得多。排查错误原因的过程中也能学到不少东西。近期遇到这个问题,每次打开VS Code的时候,右下角会弹出一个弹框,上面写着:Java 11 or more recent is required t

  • Maven中jar包冲突原理与解决办法

    2020-09-04关键词: 冲突版本方法项目路径

    Maven中jar包冲突是开发过程中比较常见而又令人头疼的问题,我们需要知道 jar包冲突的原理,才能更好的去解决jar包冲突的问题。本文将从jar包冲突的原理和解决两个方面阐述Maven中jar包冲突的解决办法。一、Maven中jar包冲突产生原因MAVEN项目运行中如果报如下错误:Caused by:java.lang.NoSuchMethodErrorCaused by: java.lang

  • Laravel6.0.4中将添加计划任务事件的方法步骤

    2020-09-04

    此版本包括计划任务事件、新的 JSON 断言方法和所有最新更改。让我们来看看这个版本中的一些亮点新特性:首先,在 TestResponse 类中添加了一个 assertJsonPath() 断言,对于在 JSON 响应中使用针对嵌套属性的点符号断言值,这个断言非常方便:$this->getJson(route('api.post.show', [$post->id]))  ->assertJso

  • laravel5.0在linux下解决.htaccess无效和去除index.php的问题

    2020-09-04

    刚入手的laravel,记录下此次遇到的坑,文章写的不多,但程序员写博客文章是个好习惯,这个我坚持并努力的。确保以下配置项已正确配置:LoadModule rewrite_module modules/mod_rewrite.so (去掉前面的#注释)AllowOverride All (根目录的配置下,确保设置成All)框架安装不用多说,大家自行解决咯。其它版本不知道,博主是5.0的版本,所以直

  • IDEA与模拟器安装调试失败的处理方法:INSTALL_PARSE_FAILED_NO_CERTIFICATES

    2020-09-03关键词: 模拟器站长站最低版本文章

    现象:安装失败,具体信息:Installation did not succeed.The application could not be installed: INSTALL_PARSE_FAILED_NO_CERTIFICATESAPK signature verification failed.解决方法:build.gradle文件中android:defaultConfig:minSdk

  • IDEA 2020 设置项目集成git 及svn和git之间的切换问题

    2020-09-03关键词: 在这里插入图片版本控制器分布式

    Git是什么?svn是什么?Git svn 统称版本控制器在开发中经常是两个或多个人同时开发一个控制器为了不产生代码冲突法发明了版本控制器最终目的,为了多人开发Git是目前世界上最先进的分布式版本控制系统(没有之一)。Git与svn的区别Git是分布式的,svn是集中式的下面给大家介绍下IDEA 2020 设置项目集成git 及svn和git之间的切换问题,详情如下所示:找到git.exe可以te

  • Mac下关于PHP环境和扩展的安装详解

    2020-09-03

    一直使用windows和Centos进行开发,之前公司配了Mac本,放家里吃灰了一年,新公司还是Mac,无奈只好从头摸索。php安装主要使用brew,请注意由于git上原homebrew/php已经停掉,新的均迁移到到brew/core上,因此之前的安装方法无法使用,请注意!!!!!安装php等操作均使用以下步骤:1.搜索可用php版本brew search php2.安装指定的php版本brew

  • 浅谈laravel数据库查询返回的数据形式

    2020-09-03关键词: 数组形式版本数据库查询代码

    版本:laravel5.4+问题描述:laravel数据库查询返回的数据不是单纯的数组形式,而是数组与类似stdClass Object这种对象的结合体,即使在查询构造器中调用了toArray(),也无法转换成单纯的数组形式。问题解析:(以上图片来源于laravel学院5.3版本到5.4版本的升级手册)如上图所示:Laravel不再支持在配置文件中定制PDO的“fetch mode”,取而代之,总

  • vue中提示$index is not defined错误的解决方式

    2020-09-02关键词: 版本给大家样式的是也不

    今天学习Vue中遇到了一个报错信息:$index is not defined,是我写了个for循环在HTML中,然后是因为版本的问题下面是解决方法:原来的是 v-for="person in items"v-on:click="deletePerson($index)"//这个仅仅适用于1.0版本,不要采坑了同学们这个在Vue1.0版本中式适用的可以直接使用$index,但是在2.0是不适合的在

  • python3.7.3版本和django2.2.3版本是否可以兼容

    2020-09-01关键词: 版本对照表都是是一个站长站

    很多小伙伴在学习Django的时候,总是搞不定版本的问题,下面来一起看一张表,轻松解决Python版本和Django版本的兼容问题。Django和Python兼容对照表如上表所示:  Django 1.11版本兼容Python 2.7、3.4、3.5、3.6、3.7(added in 1.11.17)    Django 2.0版本兼容Python 3.4、3.5、3.6、3.7  Django

  • PHP读取Excel内的图片(phpspreadsheet和PHPExcel扩展库)

    2020-09-01关键词: 图片自己的版本文件方法

    今天接到了一个从Excel内读取图片的需求,在网上查找了一些资料,基本实现了自己的需求,不过由于查到的一些代码比较久远,不能直接移植到自己的项目里,需要稍加改动一下。这里介绍一下分别使用phpspreadsheet和PHPExcel扩展库来实现读取Excel内图片的功能: PHPSpreadsheet首先安装phpspreadsheet,由于线上服务器PHP版本是PHP5.6,所以需要安装兼容PH

  • 如何在centos8自定义目录安装php7.3

    2020-09-01

    1.目录结构源码目录:/home/werben/pkgsrc/php-7.3.11安装目录:/home/werben/application/php7.3.112.下载php源码# 官网地址:https://www.php.net/downloads.phpwget https://www.php.net/distributions/php-7.3.11.tar.bz23.解压源码tar --bz

  • 如何在CentOS中安装PHP7.4的方法步骤

    2020-09-01

    本指南提供了在 CentOS 8 / RHEL 8 Linux 系统上安装 PHP 7.4 的步骤。有兴趣的开发者已经可以在生产环境中使用使用 PHP 7.4,正式版本的官方发布时间为2019 年 11 月 28 日。请按照以下步骤在 CentOS 8 / RHEL 8 上安装 PHP 7.4。步骤一:添加 EPEL 和 REMI 库安装需要 EPEL 和 REMI 库。通过以下命令将其添加到系统

  • 关于PHP5.6+版本“No input file specified”问题的解决

    2020-09-01关键词: 所示如下图的是版本页面

    今天在练习php的时候,有些新功能只能兼容php7+以上的版本,我只好切换php的版本。后来发现再次打开thinkphp时,网址进入登入页面,但是却显示"No input file specified",如下图所示:上网查了一下才知道,PHP5.6以上的是fast_cgi模式,而在某些情况下,不能正确识别path_info所造成的错误,这个时候,你只需要更改.htaccess文件,如下图所示只需要

  • 解决php用mysql方式连接数据库出现Deprecated报错问题

    2020-09-01关键词: 报错小编常用版本在此

    以上是用php5.5 连接mysql数据库时报的错。于是我用php5.4连接正常没有报错。这与mysql版本无关系,php 5.x版本,如5.2、5.3、5.4、5.5,怕跟不上时代,新的服务器直接上5.5,但是程序出现如下错误:Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in

 531    1 2 3 4 5 6 7 8 9 10 下一页 尾页

分类点击榜

    栏目ID=0的表不存在(操作类型=0)

分类评论榜

    栏目ID=0的表不存在(操作类型=0)

微信扫一扫

易采站长站微信账号